Bug 84713 - Hyperlinks not working. Invalid range error message
Summary: Hyperlinks not working. Invalid range error message
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-06 12:07 UTC by Timon
Modified: 2016-10-25 19:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
xls file with not workink hyberlinks in Libreoffice (234.50 KB, application/vnd.ms-excel)
2014-10-06 12:07 UTC, Timon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timon 2014-10-06 12:07:35 UTC
Created attachment 107419 [details]
xls file with not workink hyberlinks in Libreoffice

LibreOffice Version: 4.3.2.2 Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d on Windows XP SP3

If we ctrl+click on any hyberlink in cells B6 to B18 (Велосипеды, OutDoor, Инструменты, Колеса and so on), wee see only LibreOffice 4.3.2.2 message "Invalid range".

If we do the same in MS Office 2007, we go to appropriate sheet.
Comment 1 Timon 2014-10-06 16:54:42 UTC
Sorry, of course not "hyberlink(s)" - "hyperlink(s)".
Comment 2 tommy27 2014-10-06 18:24:16 UTC
reproducible under Win7x64 with recent LibO 4.4.0.0+ master, 4.3.2.2 and older releases (tested till 3.3.3). same issue with OOo 3.3.0 and AOO 4.1.0, hence bug is inherited from OOo.

hyperlinks do work in Excel Viewer.

saving the file as .ods or .xlsx doesn't solve the issue which is not limited to .xls format

P.S. test file has .ods extension but it's an .xls
Comment 3 m.a.riosv 2014-10-06 19:37:51 UTC
Seems that hyper-links were created with R1C1 formula syntax. To see it, go to a hyperlink cell and Menu/Insert/Hyper-link [Ctrl+K] (wait a bit).

Changing in Menu/Tools/Options/LibreOffice calc/Formula/Formula options -> Formula syntax Excel.R1C1, doesn't solve the issue.

Maybe it is not implemented in LibreOffice for hyper-links.
Comment 4 tommy27 2014-10-06 20:29:06 UTC
nice theory. let's see what a Calc developer thinks about it.
Comment 5 QA Administrators 2015-10-14 19:58:10 UTC Comment hidden (obsolete)
Comment 6 Timon 2015-10-15 05:26:37 UTC
Bug is still present in LibreOffice Version: 5.0.3.1 Build ID: fd8cfc22f7f58033351fcb8a83b92acbadb0749e on Windows XP SP3, no changes in behavior at all.
Comment 7 Commit Notification 2015-10-20 10:22:03 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac0c2e26ce237991ada316e5b8edeb7a029f401b

Resolves: tdf#84713 do not substitute separator in R1C1 notation hyperlinks

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Timon 2015-12-22 07:33:58 UTC
LibreOffice Version : 5.1.0.1
Build ID: bcace328aabc4c8c10b56daa87da0a2ee6579b5a
Threads 2; Ver: Windows 5.1; Render: default; 
Locale: ru-RU (ru_RU)

If hyperlink has space in its name (for example, in attached file it is
#Рамы и вилки!R1C1
or
#Рули Выноса Седла Штыри!R1C1
then after ctrl+click on such hyperlink wee still see "Invalid range".

If there is no space in name (for example, #Велосипеды!R1C1), all works fine.

Could it be fixed for the next version?
Comment 9 m.a.riosv 2015-12-22 12:43:09 UTC
Sheet names with spaces, must be between single quotes, as in a direct reference in the sheet.

Target: 'Рули Выноса Седла Штыри'!R1C1
Comment 10 Timon 2015-12-22 15:27:54 UTC
Yes, as I see MS Excel shows sheet names with spaces in that file as 'Рули Выноса Седла Штыри'!R1C1